.btn {
    fill: $black;
    color: $black;
    outline: none;
    cursor: pointer;
    height: rem(53);
    font-weight: 700;
    font-size: rem(15);
    line-height: rem(21);
    letter-spacing: 0.1rem;
    padding: rem(8) rem(20);
    text-transform: uppercase;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: rem(2) solid $black;
    background: transparent;

    &:hover {
        fill: $white;
        color: $white;
        background: $black;
        text-decoration: none;
    }

    &:active {
        fill: $black;
        color: $black;
        background: transparent;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    @include media-breakpoint-up(sm) {
        letter-spacing: 0.15rem;
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-nav {
    fill: $white;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(40);
    height: rem(40);
    cursor: pointer;
    border-radius: 50%;
    background: rgba(0,0,0,0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    i {
        flex-shrink: 0;
        height: rem(24);
        display: inline-block;
    }

    &:hover {
        background: rgba(0,0,0,0.8);
        transition: .3s;
    }
}
